Bug 966650 - Only allow joining one 'manage-system' realm
Only allow joining one 'manage-system' realm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 959458 967033
  Show dependency treegraph
 
Reported: 2013-05-23 11:38 EDT by Stef Walter
Modified: 2013-06-05 22:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: realmd-0.14.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967033 (view as bug list)
Environment:
Last Closed: 2013-06-05 22:25:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 64928 None None None Never

  None (edit)
Description Stef Walter 2013-05-23 11:38:16 EDT
When a realm is joined using the default 'manage-system=true' Join() option, realmd configures the machine to receive and enforce domain policy.

realmd should only allow joining one domain with 'manage-system=true' Join() option.

An example of a Join() where 'manage-system=false' is from gnome-control-center.
Comment 1 Stef Walter 2013-05-23 11:39:23 EDT
Patrik from QE has highlighted this as something we should implement now, rather than later, so that there's not a regression for users who come to depend on the current (broken) behavior.
Comment 2 Stef Walter 2013-05-23 11:40:46 EDT
Related: https://bugs.freedesktop.org/show_bug.cgi?id=61858
Comment 3 Stef Walter 2013-05-24 04:57:28 EDT
Patch pushed to git master upstream.
Comment 4 Fedora Update System 2013-05-27 08:07:21 EDT
realmd-0.14.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.2-1.fc19
Comment 5 Fedora Update System 2013-05-27 13:01:12 EDT
Package realmd-0.14.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9364/realmd-0.14.2-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-05 22:25:19 EDT
realmd-0.14.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.